#!/bin/bash
# -*- coding: utf-8 mode: sh -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8
# s'assurer que le script PHP est lancé avec l'utilisateur www-data

if [ ! -L "$0" ]; then
    echo "\
$0: ce script
- doit être lancé en tant que lien symbolique avec un nom de la forme 'monscript.php'
- lance le script PHP du même nom situé dans le même répertoire avec l'utilisateur www-data"
    exit 0
fi

MYNAME="$(basename -- "$0")"
MYTRUESELF="$(readlink -f "$0")"
MYTRUEDIR="$(dirname -- "$MYTRUESELF")"
PROJDIR="$(cd "$MYTRUEDIR/.."; pwd)"

www_data="${DEVUSER_USERENT%%:*}"
[ -n "$www_data" ] || www_data=www-data

class="$MYTRUEDIR/${MYNAME%.php}.phpc"
script="$MYTRUEDIR/${MYNAME%.php}.php"

cmd=(php "$PROJDIR/src_app/init/cli_cli_launcher.php")
[ -n "$MEMPROF_PROFILE" ] && cmd+=(-dextension=memprof.so)
if [ -f "$class" ]; then
  cmd+=("$(<"$class")")
else
  cmd+=("$script")
fi
cmd+=("$@")

if [ "$(id -u)" -eq 0 ]; then
    su-exec "$www_data" "${cmd[@]}"
else
    exec "${cmd[@]}"
fi
